'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = _interopDefault(require('react'));
var PropTypes = _interopDefault(require('prop-types'));

function _extends() {
  _extends = Object.assign || function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];

      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }

    return target;
  };

  return _extends.apply(this, arguments);
}

function _objectWithoutPropertiesLoose(source, excluded) {
  if (source == null) return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;

  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0) continue;
    target[key] = source[key];
  }

  return target;
}

function _objectWithoutProperties(source, excluded) {
  if (source == null) return {};

  var target = _objectWithoutPropertiesLoose(source, excluded);

  var key, i;

  if (Object.getOwnPropertySymbols) {
    var sourceSymbolKeys = Object.getOwnPropertySymbols(source);

    for (i = 0; i < sourceSymbolKeys.length; i++) {
      key = sourceSymbolKeys[i];
      if (excluded.indexOf(key) >= 0) continue;
      if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
      target[key] = source[key];
    }
  }

  return target;
}

var Anchor = function Anchor(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M12 4.73a.94.94 0 0 1 1 .89 1 1 0 0 1-2 0 .94.94 0 0 1 1-.89M12 4a1.7 1.7 0 0 0-1.76 1.62A1.69 1.69 0 0 0 12 7.23a1.69 1.69 0 0 0 1.77-1.61A1.7 1.7 0 0 0 12 4z",
    fill: color
  }), React.createElement("path", {
    d: "M12 18.87a.75.75 0 0 1-.78-.73V7.47a.78.78 0 0 1 1.56 0v10.67a.75.75 0 0 1-.78.73z",
    fill: color
  }), React.createElement("path", {
    d: "M12 20c-3.08 0-5.58-1.92-5.58-4.29a.78.78 0 0 1 1.56 0c0 1.56 1.8 2.84 4 2.84s4-1.28 4-2.84a.78.78 0 0 1 1.56 0C17.58 18.08 15.07 20 12 20z",
    fill: color
  }), React.createElement("path", {
    d: "M16 9.28H8.05a.73.73 0 1 1 0-1.45H16a.73.73 0 1 1 0 1.45z",
    fill: color
  }), React.createElement("path", {
    d: "M5.78 17.75h-.21a.73.73 0 0 1-.54-.9l.57-1.92a.76.76 0 0 1 .94-.51l2.28.58a.73.73 0 0 1 .56.88.78.78 0 0 1-1 .52L6.89 16l-.36 1.24a.78.78 0 0 1-.75.51z",
    fill: color
  }), React.createElement("path", {
    d: "M18.22 17.75a.78.78 0 0 1-.75-.53L17.11 16l-1.54.37a.78.78 0 0 1-1-.52.73.73 0 0 1 .56-.88l2.28-.55a.76.76 0 0 1 .94.51l.65 1.9a.73.73 0 0 1-.54.9z",
    fill: color
  }));
};

Anchor.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
Anchor.defaultProps = {
  color: '#000',
  size: '24'
};

var Bell = function Bell(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M16.26 17.3H7.74a.43.43 0 0 1-.43-.43v-5.64A4.75 4.75 0 0 1 12 6.43a4.75 4.75 0 0 1 4.69 4.8v5.64a.43.43 0 0 1-.43.43zm-8.1-.86h7.68v-5.21a3.84 3.84 0 1 0-7.68 0z",
    fill: color
  }), React.createElement("path", {
    d: "M16.26 17.49H7.74a.61.61 0 0 1-.61-.62v-5.64a4.93 4.93 0 0 1 4.87-5 4.93 4.93 0 0 1 4.87 5v5.64a.61.61 0 0 1-.61.62zM12 6.61a4.57 4.57 0 0 0-4.5 4.62v5.64a.24.24 0 0 0 .24.25h8.52a.24.24 0 0 0 .24-.25v-5.64A4.57 4.57 0 0 0 12 6.61zm3.84 10H8.16a.18.18 0 0 1-.16-.17v-5.21a4 4 0 1 1 8 0v5.21a.18.18 0 0 1-.16.18zm-7.5-.37h7.32v-5a3.66 3.66 0 1 0-7.32 0z",
    fill: color
  }), React.createElement("path", {
    d: "M12 19.22a2.32 2.32 0 0 1-2.29-2.35.43.43 0 1 1 .85 0 1.44 1.44 0 1 0 2.88 0 .43.43 0 1 1 .85 0A2.32 2.32 0 0 1 12 19.22z",
    fill: color
  }), React.createElement("path", {
    d: "M12 19.4a2.5 2.5 0 0 1-2.47-2.53.61.61 0 1 1 1.21 0 1.26 1.26 0 1 0 2.52 0 .61.61 0 1 1 1.21 0A2.5 2.5 0 0 1 12 19.4zm-1.87-2.78a.25.25 0 0 0-.24.25 2.11 2.11 0 1 0 4.22 0 .25.25 0 0 0-.24-.25.24.24 0 0 0-.24.25 1.63 1.63 0 1 1-3.26 0 .24.24 0 0 0-.24-.25z",
    fill: color
  }), React.createElement("path", {
    d: "M11 6.91a.46.46 0 0 1-.42-.49v-1.2A1.54 1.54 0 0 1 12 3.59a1.54 1.54 0 0 1 1.4 1.63V6.3a.43.43 0 1 1-.84 0V5.22a.57.57 0 1 0-1.12 0v1.2a.46.46 0 0 1-.44.49z",
    fill: color
  }), React.createElement("path", {
    d: "M11 7.11a.66.66 0 0 1-.62-.69v-1.2A1.73 1.73 0 0 1 12 3.4a1.73 1.73 0 0 1 1.6 1.82V6.3a.62.62 0 1 1-1.24 0V5.22a.41.41 0 0 0-.36-.45.42.42 0 0 0-.36.45v1.2a.66.66 0 0 1-.64.69zm1-3.32a1.33 1.33 0 0 0-1.21 1.43v1.2c0 .16.11.3.23.3s.23-.14.23-.3v-1.2a.75.75 0 1 1 1.5 0V6.3a.24.24 0 1 0 .46 0V5.22A1.33 1.33 0 0 0 12 3.79z",
    fill: color
  }));
};

Bell.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
Bell.defaultProps = {
  color: '#000',
  size: '24'
};

var Boat = function Boat(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M12 20a7.47 7.47 0 0 1-7-4.85.43.43 0 0 1 0-.4.42.42 0 0 1 .36-.19h13.2a.42.42 0 0 1 .36.19.43.43 0 0 1 0 .4A7.47 7.47 0 0 1 12 20zm-5.9-4.57a6.56 6.56 0 0 0 11.8 0z",
    fill: color
  }), React.createElement("rect", {
    x: "11.56",
    y: "9.37",
    width: ".88",
    height: "5.64",
    fill: color
  }), React.createElement("path", {
    d: "M12 14.09H8.3a.44.44 0 0 1-.39-.23.43.43 0 0 1 0-.45l3.71-5.55a.44.44 0 0 1 .49-.18.45.45 0 0 1 .31.42v5.55a.44.44 0 0 1-.42.44zm-2.89-.88h2.45V9.55z",
    fill: color
  }), React.createElement("path", {
    d: "M18 13.45h-5.83a.44.44 0 0 1-.44-.44V4.44A.45.45 0 0 1 12 4a.43.43 0 0 1 .49.17l5.79 8.58a.43.43 0 0 1-.36.68zm-5.35-.87h4.52l-4.56-6.71z",
    fill: color
  }));
};

Boat.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
Boat.defaultProps = {
  color: '#000',
  size: '24'
};

var Bookmarks = function Bookmarks(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M12.56 13.22a.31.31 0 0 1-.19-.06l-1.46-.86a.4.4 0 0 1-.13-.52.37.37 0 0 1 .51-.12l.89.53V.87H3.37v1a.38.38 0 1 1-.75 0V.5A.38.38 0 0 1 3 .12h9.56a.38.38 0 0 1 .37.38v12.34a.37.37 0 0 1-.19.33.41.41 0 0 1-.18.05z",
    fill: color
  }), React.createElement("path", {
    d: "M12.56 13.34a.48.48 0 0 1-.26-.07l-1.45-.87a.49.49 0 0 1-.17-.68.5.5 0 0 1 .68-.17l.7.42V1H3.49v.9a.5.5 0 1 1-1 0V.5A.5.5 0 0 1 3 0h9.56a.49.49 0 0 1 .49.5v12.34a.47.47 0 0 1-.25.43.42.42 0 0 1-.24.07zm-1.46-1.61a.24.24 0 0 0-.21.12.25.25 0 0 0 .09.34l1.45.87a.28.28 0 0 0 .25 0 .25.25 0 0 0 .13-.22V.5a.25.25 0 0 0-.25-.25H3a.25.25 0 0 0-.25.25v1.39a.25.25 0 0 0 .25.25.25.25 0 0 0 .25-.25V.75h9.06V12.4l-1.08-.64a.28.28 0 0 0-.13-.03z",
    fill: color
  }), React.createElement("path", {
    d: "M10.15 15.88a.51.51 0 0 1-.24-.07L5.37 13.1.83 15.81a.47.47 0 0 1-.47 0 .47.47 0 0 1-.24-.41V3.06a.47.47 0 0 1 .47-.46h9.56a.46.46 0 0 1 .46.46v12.35a.49.49 0 0 1-.23.41.46.46 0 0 1-.23.06zm-4.78-3.79a.44.44 0 0 1 .24.07l4.07 2.43V3.53H1.05v11.06l4.08-2.43a.42.42 0 0 1 .24-.07z",
    fill: color
  }), React.createElement("path", {
    d: "M10.15 16a.61.61 0 0 1-.3-.08l-4.48-2.68-4.48 2.68a.59.59 0 0 1-.59 0 .57.57 0 0 1-.3-.51V3.06a.59.59 0 0 1 .59-.59h9.56a.6.6 0 0 1 .59.59v12.35a.59.59 0 0 1-.3.51.6.6 0 0 1-.29.08zm-4.78-3h.06L10 15.7a.34.34 0 0 0 .52-.29V3.06a.34.34 0 0 0-.34-.34H.59a.34.34 0 0 0-.34.34v12.35a.34.34 0 0 0 .17.3.32.32 0 0 0 .34 0zm4.44 1.85l-4.27-2.59a.36.36 0 0 0-.35 0L.93 14.81V3.41h8.88zM5.37 12a.61.61 0 0 1 .3.08l3.89 2.32V3.65H1.18v10.72l3.89-2.32a.61.61 0 0 1 .3-.05z",
    fill: color
  }));
};

Bookmarks.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
Bookmarks.defaultProps = {
  color: '#000',
  size: '24'
};

var ChevronDown = function ChevronDown(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M12 17.45a.88.88 0 0 1-.64-.26L2.27 8.1a.91.91 0 0 1 1.28-1.29L12 15.26l8.45-8.45a.91.91 0 0 1 1.28 1.29l-9.09 9.09a.88.88 0 0 1-.64.26z",
    fill: color
  }));
};

ChevronDown.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
ChevronDown.defaultProps = {
  color: '#000',
  size: '24'
};

var ChevronUp = function ChevronUp(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M21.09 17.45a.89.89 0 0 1-.64-.26L12 8.74l-8.45 8.45a.91.91 0 1 1-1.28-1.29l9.09-9.09a.91.91 0 0 1 1.28 0l9.09 9.09a.91.91 0 0 1 0 1.29.88.88 0 0 1-.64.26z",
    fill: color
  }));
};

ChevronUp.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
ChevronUp.defaultProps = {
  color: '#000',
  size: '24'
};

var Close = function Close(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M4.73 20a.75.75 0 0 1-.52-.21.74.74 0 0 1 0-1L18.76 4.21a.73.73 0 0 1 1 1L5.24 19.79a.73.73 0 0 1-.51.21z",
    fill: color
  }), React.createElement("path", {
    d: "M19.27 20a.73.73 0 0 1-.51-.21L4.21 5.24a.73.73 0 1 1 1-1l14.58 14.52a.74.74 0 0 1 0 1 .75.75 0 0 1-.52.24z",
    fill: color
  }));
};

Close.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
Close.defaultProps = {
  color: '#000',
  size: '24'
};

var CompasNavigation = function CompasNavigation(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M12 20a8 8 0 1 1 8-8 8 8 0 0 1-8 8zm0-14.77A6.77 6.77 0 1 0 18.77 12 6.78 6.78 0 0 0 12 5.23z",
    fill: color
  }), React.createElement("path", {
    d: "M9 15.88a.45.45 0 0 1-.32-.14.46.46 0 0 1-.1-.51l2-4.53a.45.45 0 0 1 .33-.27.47.47 0 0 1 .42.13l2.57 2.58a.44.44 0 0 1 .13.41.47.47 0 0 1-.27.34l-4.62 1.95a.41.41 0 0 1-.14.04zm2.11-4.19l-1.27 2.84 2.84-1.22z",
    fill: color
  }), React.createElement("path", {
    d: "M13.49 13.92a.44.44 0 0 1-.33-.13l-2.58-2.58a.47.47 0 0 1 .15-.75l4.53-2a.46.46 0 0 1 .51.09.48.48 0 0 1 .1.51l-2 4.53a.46.46 0 0 1-.34.28zM11.72 11l1.61 1.61 1.23-2.83z",
    fill: color
  }), React.createElement("path", {
    d: "M12.2 6.31a.46.46 0 0 1-.46-.46V4.62a.46.46 0 0 1 .46-.47.47.47 0 0 1 .46.47v1.23a.47.47 0 0 1-.46.46z",
    fill: color
  }), React.createElement("path", {
    d: "M12.2 19.85a.46.46 0 0 1-.46-.47v-1.23a.46.46 0 0 1 .46-.46.47.47 0 0 1 .46.46v1.23a.47.47 0 0 1-.46.47z",
    fill: color
  }), React.createElement("path", {
    d: "M5.85 12.64H4.62a.47.47 0 1 1 0-.93h1.23a.47.47 0 0 1 0 .93z",
    fill: color
  }), React.createElement("path", {
    d: "M19.38 12.64h-1.23a.47.47 0 0 1 0-.93h1.23a.47.47 0 1 1 0 .93z",
    fill: color
  }));
};

CompasNavigation.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
CompasNavigation.defaultProps = {
  color: '#000',
  size: '24'
};

var CourseDown = function CourseDown(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M12 20.8a1.37 1.37 0 0 1-1.2-.8L3.46 5.83A1.85 1.85 0 0 1 3.43 4a1.81 1.81 0 0 1 1.62-.8H19a1.81 1.81 0 0 1 1.57.8 1.85 1.85 0 0 1 0 1.82L13.2 20a1.37 1.37 0 0 1-1.2.8zm-.2-1.54h-.05l.74.32zM5.05 4.8a.56.56 0 0 0-.26 0 1.31 1.31 0 0 0 .09.24L12 18.82l7.12-13.73a.55.55 0 0 0 .08-.26 1 1 0 0 0-.25 0z",
    fill: color
  }));
};

CourseDown.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
CourseDown.defaultProps = {
  color: '#000',
  size: '24'
};

var CourseUp = function CourseUp(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M19 20.8H5a1.85 1.85 0 0 1-1.58-.8 1.85 1.85 0 0 1 0-1.82L10.8 4a1.31 1.31 0 0 1 2.4 0l7.35 14.15A1.7 1.7 0 0 1 19 20.8zM4.79 19.17a1.17 1.17 0 0 0 .25 0H19a.56.56 0 0 0 .26-.05 1.31 1.31 0 0 0-.09-.24L12 5.18 4.87 18.91a.55.55 0 0 0-.08.26zm6.72-14.78l.69.36a.11.11 0 0 0 .05 0z",
    fill: color
  }));
};

CourseUp.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
CourseUp.defaultProps = {
  color: '#000',
  size: '24'
};

var Done = function Done(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M10.21 19a.9.9 0 0 1-.64-.27l-6.06-6.11a.89.89 0 0 1 0-1.28.91.91 0 0 1 1.29 0l5.41 5.41L21.69 5.28A.91.91 0 0 1 23 6.56L10.86 18.68a.9.9 0 0 1-.64.27z",
    fill: color
  }));
};

Done.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
Done.defaultProps = {
  color: '#000',
  size: '24'
};

var Download = function Download(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M19.27 20H4.73a.73.73 0 0 1-.73-.73V15.5a.73.73 0 0 1 .73-.73.72.72 0 0 1 .72.73v3.05h13.1V15.5a.72.72 0 0 1 .72-.73.73.73 0 0 1 .73.73v3.77a.73.73 0 0 1-.73.73z",
    fill: color
  }), React.createElement("path", {
    d: "M12 16a.72.72 0 0 1-.72-.73V4.69A.73.73 0 0 1 12 4a.73.73 0 0 1 .73.73v8.94L17 9.84a.73.73 0 1 1 1 1.08l-5.5 4.93a.74.74 0 0 1-.5.15z",
    fill: color
  }), React.createElement("path", {
    d: "M12 16a.72.72 0 0 1-.49-.19l-5.4-4.91a.73.73 0 0 1 0-1 .72.72 0 0 1 1-.05l5.41 4.92a.73.73 0 0 1 .05 1A.74.74 0 0 1 12 16z",
    fill: color
  }));
};

Download.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
Download.defaultProps = {
  color: '#000',
  size: '24'
};

var Faq = function Faq(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M13 19.93A8 8 0 1 1 19.93 13 8 8 0 0 1 13 19.93zm.11-14.6a6.77 6.77 0 1 0 5.52 5.52 6.77 6.77 0 0 0-5.48-5.52z",
    fill: color
  }), React.createElement("path", {
    d: "M11 11.58a.26.26 0 0 1 .26-.26H12a1 1 0 0 0 1-1.06 1 1 0 0 0-1.09-1 1 1 0 0 0-.95 1H9.22a.08.08 0 0 1-.08-.08 2.78 2.78 0 0 1 1.66-2.57 2.87 2.87 0 1 1 2 5.35v.65a.26.26 0 0 1-.26.26h-1.31a.26.26 0 0 1-.26-.26z",
    fill: color
  }), React.createElement("path", {
    d: "M12.29 14.88a.76.76 0 0 1 .45.46.92.92 0 0 1-1 1.29.91.91 0 0 1-.77-.76.93.93 0 0 1 1.32-.99z",
    fill: color
  }));
};

Faq.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
Faq.defaultProps = {
  color: '#000',
  size: '24'
};

var File = function File(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M17.59 20H6.32a1 1 0 0 1-1-1V4.88A.88.88 0 0 1 6.21 4h7a.69.69 0 0 1 .7.69.7.7 0 0 1-.7.7H6.72V18.6h10.56V9.17a.7.7 0 0 1 1.39 0v9.75A1.08 1.08 0 0 1 17.59 20z",
    fill: color
  }), React.createElement("path", {
    d: "M13.6 9.82a.91.91 0 0 1-.6-.25 1 1 0 0 1-.27-.75V5a.79.79 0 0 1 .44-.79.76.76 0 0 1 .83.19l4.25 4a.82.82 0 0 1 .23.9.83.83 0 0 1-.8.51h-4.06zm3.69-.42zm-3.2-3v2h2.15zm3.57 2zM13.48 5z",
    fill: color
  }));
};

File.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
File.defaultProps = {
  color: '#000',
  size: '24'
};

var Flag = function Flag(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M6.71 20a.72.72 0 0 1-.71-.73V4.73A.72.72 0 0 1 6.71 4h10.57a.71.71 0 0 1 .67.49.72.72 0 0 1-.23.8L14 8.35l3.72 3.07a.75.75 0 0 1 .22.81.72.72 0 0 1-.67.49H7.41v6.54a.72.72 0 0 1-.7.74zm.7-14.55v5.82h7.88l-2.84-2.35a.75.75 0 0 1 0-1.14l2.82-2.33z",
    fill: color
  }));
};

Flag.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
Flag.defaultProps = {
  color: '#000',
  size: '24'
};

var Folder = function Folder(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M17.93 9a.37.37 0 0 1-.38-.37V7h-5.84a.38.38 0 1 1 0-.75h6.22a.38.38 0 0 1 .38.37v2.05a.37.37 0 0 1-.38.33z",
    fill: color
  }), React.createElement("path", {
    d: "M13.69 15.66H6.93a.38.38 0 0 1 0-.76h6.76a.38.38 0 1 1 0 .76z",
    fill: color
  }), React.createElement("path", {
    d: "M10.8 14.38H6.93a.38.38 0 0 1 0-.76h3.87a.38.38 0 0 1 0 .76z",
    fill: color
  }), React.createElement("path", {
    d: "M17.65 18.31H4.47a.47.47 0 0 1-.47-.47V6.16a.47.47 0 0 1 .47-.47h6.66a.47.47 0 0 1 .42.26l1.11 2.25h6.87a.47.47 0 0 1 .47.47V16a2.34 2.34 0 0 1-2.35 2.35zm-12.71-.94h12.71a1.37 1.37 0 0 0 1-.41 1.4 1.4 0 0 0 .42-1V9.14h-6.7a.47.47 0 0 1-.42-.26l-1.1-2.25H4.94z",
    fill: color
  }));
};

Folder.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
Folder.defaultProps = {
  color: '#000',
  size: '24'
};

var Heart = function Heart(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M12 20a1 1 0 0 1-.77-.38L5.09 11.9 5 11.81l-.12-.17-.13-.17a.71.71 0 0 1-.13-.26A5.08 5.08 0 0 1 4 8.77 4.6 4.6 0 0 1 8.4 4 4.32 4.32 0 0 1 12 6a4.33 4.33 0 0 1 3.6-2A4.6 4.6 0 0 1 20 8.77a5 5 0 0 1-.09 1 4.89 4.89 0 0 1-.54 1.5.57.57 0 0 1-.11.22l-.2.28-.06.08-.11.12-6.12 7.69A1 1 0 0 1 12 20zm-5.95-9.22l6 7.47 6-7.52a3.52 3.52 0 0 0 .5-1.27 3.84 3.84 0 0 0 .07-.69 3.15 3.15 0 0 0-3-3.31 3 3 0 0 0-2.82 2.37.74.74 0 0 1-.72.55h-.15a.72.72 0 0 1-.69-.54A3 3 0 0 0 8.4 5.45a3.15 3.15 0 0 0-2.95 3.32 3.94 3.94 0 0 0 .07.69 3.56 3.56 0 0 0 .53 1.32z",
    fill: color
  }));
};

Heart.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
Heart.defaultProps = {
  color: '#000',
  size: '24'
};

var Help = function Help(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M16.69 12A4.71 4.71 0 0 1 12 16.7v2.76A7.46 7.46 0 0 0 19.44 12z",
    fill: color
  }), React.createElement("path", {
    d: "M12 4.53A7.45 7.45 0 0 0 4.53 12h2.74A4.72 4.72 0 0 1 12 7.28V4.53z",
    fill: color
  }), React.createElement("path", {
    d: "M16.69 12A4.7 4.7 0 0 1 12 16.7v2.75A7.45 7.45 0 0 0 19.45 12z",
    fill: color
  }), React.createElement("path", {
    d: "M12 19.58h-.13v-3H12A4.59 4.59 0 0 0 16.57 12v-.13h3V12A7.6 7.6 0 0 1 12 19.58zm.12-2.76v2.51a7.36 7.36 0 0 0 7.22-7.21h-2.53a4.83 4.83 0 0 1-4.7 4.7z",
    fill: color
  }), React.createElement("path", {
    d: "M12 4.54A7.43 7.43 0 0 0 4.53 12h2.74A4.73 4.73 0 0 1 12 7.28z",
    fill: color
  }), React.createElement("path", {
    d: "M7.4 12.12h-3V12A7.59 7.59 0 0 1 12 4.41h.12v3H12A4.59 4.59 0 0 0 7.4 12zm-2.75-.25h2.5a4.83 4.83 0 0 1 4.71-4.71v-2.5a7.36 7.36 0 0 0-7.21 7.21z",
    fill: color
  }), React.createElement("path", {
    d: "M12.12 19.58H12A7.59 7.59 0 0 1 4.41 12v-.12h3V12A4.59 4.59 0 0 0 12 16.57h.13zm-7.46-7.47a7.33 7.33 0 0 0 7.21 7.22v-2.51a4.83 4.83 0 0 1-4.7-4.71zm14.91 0h-3V12A4.6 4.6 0 0 0 12 7.4h-.12v-3H12a7.59 7.59 0 0 1 7.57 7.6zm-2.74-.24h2.49a7.33 7.33 0 0 0-7.2-7.21v2.49a4.86 4.86 0 0 1 4.71 4.72z",
    fill: color
  }), React.createElement("path", {
    d: "M15.39 5.45l-.32-.18a.24.24 0 0 1-.07-.33.24.24 0 0 1 .33-.09l.33.18a.24.24 0 0 1 .09.33.25.25 0 0 1-.36.09z",
    fill: color
  }), React.createElement("rect", {
    x: "19.33",
    y: "11.74",
    width: ".85",
    height: ".49",
    rx: ".25",
    ry: ".25",
    transform: "rotate(90 19.755 11.985)",
    fill: color
  }), React.createElement("rect", {
    x: "3.82",
    y: "11.74",
    width: ".85",
    height: ".49",
    rx: ".25",
    ry: ".25",
    transform: "rotate(90 4.245 11.985)",
    fill: color
  }), React.createElement("path", {
    d: "M15.39 18.53l-.32.18A.24.24 0 0 0 15 19a.24.24 0 0 0 .33.09l.33-.18a.24.24 0 0 0 .09-.33.25.25 0 0 0-.36-.05z",
    fill: color
  }), React.createElement("path", {
    d: "M8.55 5.5l.32-.19A.23.23 0 0 0 9 5a.24.24 0 0 0-.33-.08l-.33.18a.24.24 0 0 0-.09.33.27.27 0 0 0 .3.07z",
    fill: color
  }), React.createElement("path", {
    d: "M8.61 18.53l.32.18A.24.24 0 0 1 9 19a.24.24 0 0 1-.33.09L8.36 19a.24.24 0 0 1-.09-.33.25.25 0 0 1 .34-.14z",
    fill: color
  }), React.createElement("path", {
    d: "M4.15 12c0-.06-.19-6.17 4.46-6.8a5.26 5.26 0 0 1 6.8 0l-.12.14a5.09 5.09 0 0 0-6.58 0C4.15 6 4.34 11.92 4.34 12z",
    fill: color
  }), React.createElement("path", {
    d: "M11.46 20.08a3.46 3.46 0 0 1-2.87-1.3A6.25 6.25 0 0 1 4.15 12h.19a6 6 0 0 0 4.34 6.61c.07.11 1.84 2.81 6.57 0h.05a2.14 2.14 0 0 0 1.78-.26c.93-.58 2.11-2.15 2.49-6.37a6.36 6.36 0 0 0-4.15-6.61l.07-.18A6.58 6.58 0 0 1 19.85 12c-.32 3.45-1.19 5.64-2.58 6.51a2.38 2.38 0 0 1-1.91.29 7.72 7.72 0 0 1-3.9 1.28z",
    fill: color
  }));
};

Help.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
Help.defaultProps = {
  color: '#000',
  size: '24'
};

var Link = function Link(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M5.41 17.37a3.3 3.3 0 0 1-2.82-1.53l-.14-.23a2.92 2.92 0 0 1-.35-2.32 3.08 3.08 0 0 1 1.55-1.93L10 7.92a3.37 3.37 0 0 1 4.42 1.13l.14.22a3 3 0 0 1 .35 2.33 3.1 3.1 0 0 1-1.55 1.93.73.73 0 0 1-1-.3.74.74 0 0 1 .3-1 1.63 1.63 0 0 0 .82-1 1.47 1.47 0 0 0-.18-1.17l-.14-.23a1.87 1.87 0 0 0-2.46-.59l-6.35 3.42a1.67 1.67 0 0 0-.82 1 1.48 1.48 0 0 0 .18 1.16l.14.23a1.86 1.86 0 0 0 2.46.6l.69-.38a.74.74 0 0 1 .7 1.31L7 17a3.36 3.36 0 0 1-1.59.37z",
    fill: color
  }), React.createElement("path", {
    d: "M12.38 16.48A3.3 3.3 0 0 1 9.56 15l-.14-.22a3 3 0 0 1-.35-2.33 3.1 3.1 0 0 1 1.55-1.93.73.73 0 0 1 1 .3.74.74 0 0 1-.3 1 1.63 1.63 0 0 0-.82 1 1.47 1.47 0 0 0 .18 1.18l.14.23a1.87 1.87 0 0 0 2.46.59l6.37-3.43a1.67 1.67 0 0 0 .82-1 1.48 1.48 0 0 0-.18-1.16L20.15 9a1.86 1.86 0 0 0-2.46-.6l-1.06.57a.74.74 0 1 1-.7-1.3L17 7a3.37 3.37 0 0 1 4.42 1.13l.14.23a2.92 2.92 0 0 1 .35 2.32 3.08 3.08 0 0 1-1.55 1.93L14 16.08a3.39 3.39 0 0 1-1.62.4z",
    fill: color
  }));
};

Link.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
Link.defaultProps = {
  color: '#000',
  size: '24'
};

var Location = function Location(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M12 20a1 1 0 0 1-.8-.42C9.64 17.49 6 12.36 6 9.8A5.91 5.91 0 0 1 12 4a5.91 5.91 0 0 1 6 5.8c0 2.56-3.64 7.69-5.2 9.78a1 1 0 0 1-.8.42zm0-14.55A4.53 4.53 0 0 0 7.33 9.8c0 1.65 2.47 5.56 4.67 8.54 2.2-3 4.67-6.89 4.67-8.54A4.53 4.53 0 0 0 12 5.45zm0 6.62a2.42 2.42 0 1 1 2.44-2.42A2.43 2.43 0 0 1 12 12.07zm0-3.39a1.05 1.05 0 0 0-1.11 1 1 1 0 0 0 1.11 1 1 1 0 0 0 1.11-1 1.05 1.05 0 0 0-1.11-1z",
    fill: color
  }));
};

Location.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
Location.defaultProps = {
  color: '#000',
  size: '24'
};

var Lock = function Lock(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M14.38 11a.74.74 0 0 1-.73-.74V7.08a1.63 1.63 0 0 0-1.58-1.67h-.14a1.63 1.63 0 0 0-1.58 1.67v3.1a.74.74 0 0 1-1.47 0v-3.1a3.1 3.1 0 0 1 3-3.14h.14a3.1 3.1 0 0 1 3 3.14v3.13a.74.74 0 0 1-.64.79z",
    fill: color
  }), React.createElement("path", {
    d: "M12 15.29a.67.67 0 0 1-.28-.06.78.78 0 0 1-.24-.16.72.72 0 0 1-.21-.52.73.73 0 0 1 .21-.52.77.77 0 0 1 1 0 1 1 0 0 1 .16.24.66.66 0 0 1 .05.28.72.72 0 0 1-.21.52.73.73 0 0 1-.48.22z",
    fill: color
  }), React.createElement("path", {
    d: "M12 16.08a.73.73 0 0 1-.73-.73v-.7a.73.73 0 1 1 1.46 0v.7a.73.73 0 0 1-.73.73z",
    fill: color
  }), React.createElement("path", {
    d: "M14.19 19.94H9.81A2.84 2.84 0 0 1 7 17.1v-4.45a2.84 2.84 0 0 1 2.81-2.84h4.38A2.84 2.84 0 0 1 17 12.64v4.46a2.84 2.84 0 0 1-2.81 2.84zm-4.38-8.85a1.55 1.55 0 0 0-1.55 1.56v4.45a1.54 1.54 0 0 0 1.55 1.55h4.38a1.54 1.54 0 0 0 1.55-1.55v-4.46a1.55 1.55 0 0 0-1.55-1.55z",
    fill: color
  }));
};

Lock.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
Lock.defaultProps = {
  color: '#000',
  size: '24'
};

var Mark = function Mark(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M15 19a.63.63 0 0 1-.34-.1l-9-5.2a.71.71 0 0 1-.32-.44L4 7.55a.69.69 0 0 1 .46-.81L10.09 5a.66.66 0 0 1 .55.06l9 5.2a.69.69 0 0 1 .25.94l-4.29 7.43a.7.7 0 0 1-.6.37zm-8.4-6.33l8.17 4.71 3.61-6.24-8.17-4.72L5.5 7.87z",
    fill: color
  }), React.createElement("path", {
    d: "M9.13 11.87a2 2 0 0 1-1.05-.29 2.11 2.11 0 0 1-.78-2.89 2.12 2.12 0 0 1 2.89-.77 2.12 2.12 0 0 1-1.06 3.95zm0-2.87a.74.74 0 0 0-.64.37.73.73 0 0 0-.08.56.78.78 0 0 0 .35.46A.75.75 0 1 0 9.13 9z",
    fill: color
  }));
};

Mark.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
Mark.defaultProps = {
  color: '#000',
  size: '24'
};

var MastMenu = function MastMenu(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M19.27 9.23H4.73a.91.91 0 0 1 0-1.82h14.54a.91.91 0 1 1 0 1.82z",
    fill: color
  }), React.createElement("path", {
    d: "M21.09 12.91H2.91a.91.91 0 0 1 0-1.82h18.18a.91.91 0 1 1 0 1.82z",
    fill: color
  }), React.createElement("path", {
    d: "M19.27 16.5H4.73a.91.91 0 1 1 0-1.81h14.54a.91.91 0 1 1 0 1.81z",
    fill: color
  }));
};

MastMenu.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
MastMenu.defaultProps = {
  color: '#000',
  size: '24'
};

var Menu = function Menu(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M19.27 5.45H4.73A.73.73 0 0 1 4 4.73.73.73 0 0 1 4.73 4h14.54a.73.73 0 0 1 .73.73.73.73 0 0 1-.73.72z",
    fill: color
  }), React.createElement("path", {
    d: "M19.27 12.75H4.73a.73.73 0 0 1 0-1.46h14.54a.73.73 0 0 1 0 1.46z",
    fill: color
  }), React.createElement("path", {
    d: "M19.27 20H4.73a.73.73 0 0 1-.73-.73.73.73 0 0 1 .73-.72h14.54a.73.73 0 0 1 .73.72.73.73 0 0 1-.73.73z",
    fill: color
  }));
};

Menu.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
Menu.defaultProps = {
  color: '#000',
  size: '24'
};

var Message = function Message(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M19 7v10H5.67V7H19m.67-1.33H5.14a.79.79 0 0 0-.8.8v11.06a.79.79 0 0 0 .8.8h14.4a.8.8 0 0 0 .8-.8V6.33a.67.67 0 0 0-.67-.66z",
    fill: color
  }), React.createElement("path", {
    d: "M18.93 7l-6.59 4.4L5.74 7h13.19m.74-1.33H5.13a.79.79 0 0 0-.79.8v.77a.78.78 0 0 0 .35.66L12 12.75a.63.63 0 0 0 .37.12.68.68 0 0 0 .37-.12l7.63-5.08V6.33a.67.67 0 0 0-.67-.66z",
    fill: color
  }));
};

Message.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
Message.defaultProps = {
  color: '#000',
  size: '24'
};

var Minus = function Minus(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M21.09 12.91H2.91a.91.91 0 0 1 0-1.82h18.18a.91.91 0 1 1 0 1.82z",
    fill: color
  }));
};

Minus.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
Minus.defaultProps = {
  color: '#000',
  size: '24'
};

var OptionsBox = function OptionsBox(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M19.33 20.5h-3.18A1.17 1.17 0 0 1 15 19.33v-3.18A1.17 1.17 0 0 1 16.15 15h3.18a1.17 1.17 0 0 1 1.17 1.17v3.18a1.17 1.17 0 0 1-1.17 1.15zM16.15 16a.16.16 0 0 0-.17.17v3.18a.16.16 0 0 0 .17.17h3.18a.17.17 0 0 0 .17-.17v-3.2a.17.17 0 0 0-.17-.17zm-2.67 4.5h-3a1.17 1.17 0 0 1-1.17-1.17v-3.18A1.17 1.17 0 0 1 10.52 15h3a1.17 1.17 0 0 1 1.17 1.17v3.18a1.17 1.17 0 0 1-1.21 1.15zm-3-4.52a.17.17 0 0 0-.17.17v3.18a.17.17 0 0 0 .17.17h3a.17.17 0 0 0 .17-.17v-3.18a.17.17 0 0 0-.17-.17zM7.85 20.5H4.67a1.17 1.17 0 0 1-1.17-1.17v-3.18A1.17 1.17 0 0 1 4.67 15h3.18A1.17 1.17 0 0 1 9 16.15v3.18a1.17 1.17 0 0 1-1.15 1.17zM4.67 16a.17.17 0 0 0-.17.17v3.18a.17.17 0 0 0 .17.17h3.18a.16.16 0 0 0 .15-.19v-3.18a.16.16 0 0 0-.15-.15zm14.66-1.33h-3.18A1.17 1.17 0 0 1 15 13.48v-3a1.17 1.17 0 0 1 1.17-1.17h3.18a1.17 1.17 0 0 1 1.17 1.17v3a1.17 1.17 0 0 1-1.19 1.17zm-3.18-4.3a.17.17 0 0 0-.17.17v3a.17.17 0 0 0 .17.17h3.18a.18.18 0 0 0 .17-.17v-3a.18.18 0 0 0-.17-.17zm-2.67 4.3h-3a1.18 1.18 0 0 1-1.17-1.17v-3a1.18 1.18 0 0 1 1.17-1.17h3a1.18 1.18 0 0 1 1.17 1.17v3a1.18 1.18 0 0 1-1.17 1.15zm-3-4.3a.18.18 0 0 0-.17.17v3a.18.18 0 0 0 .17.17h3a.18.18 0 0 0 .17-.17v-3a.18.18 0 0 0-.17-.17zm-2.67 4.3H4.67a1.17 1.17 0 0 1-1.17-1.19v-3a1.17 1.17 0 0 1 1.17-1.13h3.18A1.17 1.17 0 0 1 9 10.52v3a1.17 1.17 0 0 1-1.15 1.13zm-3.18-4.3a.18.18 0 0 0-.17.17v3a.18.18 0 0 0 .17.17h3.22a.17.17 0 0 0 .15-.23v-3a.17.17 0 0 0-.17-.17zM19.33 9h-3.18A1.17 1.17 0 0 1 15 7.85V4.67a1.17 1.17 0 0 1 1.15-1.17h3.18a1.17 1.17 0 0 1 1.17 1.17v3.18A1.17 1.17 0 0 1 19.33 9zm-3.18-4.5a.16.16 0 0 0-.17.17v3.18a.16.16 0 0 0 .17.17h3.18a.17.17 0 0 0 .17-.17V4.67a.17.17 0 0 0-.17-.17zM13.48 9h-3a1.17 1.17 0 0 1-1.13-1.15V4.67a1.17 1.17 0 0 1 1.17-1.17h3a1.17 1.17 0 0 1 1.17 1.17v3.18A1.17 1.17 0 0 1 13.48 9zm-3-4.52a.17.17 0 0 0-.17.17v3.2a.17.17 0 0 0 .17.17h3a.17.17 0 0 0 .17-.17V4.67a.17.17 0 0 0-.17-.17zM7.85 9H4.67A1.17 1.17 0 0 1 3.5 7.85V4.67A1.17 1.17 0 0 1 4.67 3.5h3.18A1.17 1.17 0 0 1 9 4.67v3.18A1.17 1.17 0 0 1 7.85 9zM4.67 4.5a.17.17 0 0 0-.17.17v3.18a.17.17 0 0 0 .17.15h3.18A.16.16 0 0 0 8 7.85V4.67a.16.16 0 0 0-.17-.17z",
    fill: color
  }));
};

OptionsBox.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
OptionsBox.defaultProps = {
  color: '#000',
  size: '24'
};

var Options = function Options(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("ellipse", {
    className: "cls-2",
    cx: "4.05",
    cy: "12",
    rx: "2.05",
    ry: "2",
    fill: color
  }), React.createElement("ellipse", {
    className: "cls-2",
    cx: "12",
    cy: "12",
    rx: "2.05",
    ry: "2",
    fill: color
  }), React.createElement("ellipse", {
    className: "cls-2",
    cx: "19.95",
    cy: "12",
    rx: "2.05",
    ry: "2",
    fill: color
  }));
};

Options.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
Options.defaultProps = {
  color: '#000',
  size: '24'
};

var Plus = function Plus(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M21.05 12.92H2.87a.91.91 0 1 1 0-1.82h18.18a.91.91 0 1 1 0 1.82z",
    fill: color
  }), React.createElement("path", {
    d: "M12 21.92a.91.91 0 0 1-.91-.91V2.83a.91.91 0 1 1 1.82 0V21a.91.91 0 0 1-.91.92z",
    fill: color
  }));
};

Plus.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
Plus.defaultProps = {
  color: '#000',
  size: '24'
};

var Profile = function Profile(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M12 14.11a3.76 3.76 0 0 1-3.68-3.84V7.84A3.76 3.76 0 0 1 12 4a3.76 3.76 0 0 1 3.68 3.84v2.43A3.76 3.76 0 0 1 12 14.11zm0-8.64a2.3 2.3 0 0 0-2.23 2.37v2.43A2.31 2.31 0 0 0 12 12.65a2.31 2.31 0 0 0 2.23-2.38V7.84A2.3 2.3 0 0 0 12 5.47z",
    fill: color
  }), React.createElement("path", {
    d: "M19.27 20H4.73a.73.73 0 0 1-.73-.73V18c0-1.19 2-2.29 5.94-3.24v-.86a.73.73 0 1 1 1.45 0v1.4a.74.74 0 0 1-.57.72c-2.54.57-5 1.5-5.37 2v.51h13.82a.74.74 0 0 1 0 1.47zM5.45 17.94z",
    fill: color
  }), React.createElement("path", {
    d: "M19.27 20a.73.73 0 0 1-.72-.73V18c-.37-.51-2.83-1.43-5.37-2a.74.74 0 0 1-.55-.88.72.72 0 0 1 .87-.55c4.35 1 6.54 2.12 6.5 3.39v1.29a.73.73 0 0 1-.73.75zm-.7-1.95zm0-.09z",
    fill: color
  }));
};

Profile.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
Profile.defaultProps = {
  color: '#000',
  size: '24'
};

var Profiles = function Profiles(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M15.09 14.11a3.74 3.74 0 0 1-3.64-3.84V7.84A3.74 3.74 0 0 1 15.09 4a3.74 3.74 0 0 1 3.64 3.84v2.43a3.74 3.74 0 0 1-3.64 3.84zm0-8.64a2.29 2.29 0 0 0-2.2 2.37v2.43a2.3 2.3 0 0 0 2.2 2.38 2.3 2.3 0 0 0 2.2-2.38V7.84a2.29 2.29 0 0 0-2.2-2.37z",
    fill: color
  }), React.createElement("path", {
    d: "M22.28 20H7.9a.73.73 0 0 1-.72-.73V18c0-1.19 1.93-2.29 5.87-3.24v-.86a.72.72 0 1 1 1.44 0v1.4a.74.74 0 0 1-.56.72c-2.52.57-4.95 1.5-5.31 2v.51h13.66a.74.74 0 0 1 0 1.47zM8.62 17.94z",
    fill: color
  }), React.createElement("path", {
    d: "M22.28 20a.73.73 0 0 1-.72-.73V18c-.36-.51-2.8-1.43-5.31-2a.74.74 0 0 1-.54-.88.72.72 0 0 1 .86-.55c4.31 1 6.43 2.14 6.43 3.43v1.29a.73.73 0 0 1-.72.71zm-.7-1.95zm0-.09z",
    fill: color
  }), React.createElement("path", {
    d: "M7.53 14a3.49 3.49 0 0 1-3.39-3.58v-2.3a3.49 3.49 0 0 1 3.39-3.58 3.49 3.49 0 0 1 3.39 3.58v2.26A3.49 3.49 0 0 1 7.53 14zm0-8a2.14 2.14 0 0 0-2 2.21v2.26a2.14 2.14 0 0 0 2.05 2.21 2.14 2.14 0 0 0 2.05-2.21V8.12a2.14 2.14 0 0 0-2.1-2.21z",
    fill: color
  }), React.createElement("path", {
    d: "M1.61 20a.68.68 0 0 1-.61-.73V18c0-1.19 1.64-2.29 5-3.24v-.86a.69.69 0 0 1 .61-.74.68.68 0 0 1 .61.74v1.4a.72.72 0 0 1-.52.7c-2.12.57-4.18 1.5-4.48 2v1.25s.05.75-.61.75zm.61-2.06z",
    fill: color
  }), React.createElement("path", {
    d: "M9.26 14.59a.69.69 0 0 0-.85.56.74.74 0 0 0 .14.62h.81a15.24 15.24 0 0 1 1.91-.66c-.61-.18-1.27-.35-2.01-.52z",
    fill: color
  }));
};

Profiles.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
Profiles.defaultProps = {
  color: '#000',
  size: '24'
};

var ReFind = function ReFind(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M12.17 20a6.85 6.85 0 0 1-2.2-.36.9.9 0 0 1-.55-1.11.82.82 0 0 1 1-.58 5.46 5.46 0 0 0 1.71.27.89.89 0 0 1 0 1.78z",
    fill: color
  }), React.createElement("path", {
    d: "M15.25 19.18a.83.83 0 0 1-.74-.47.92.92 0 0 1 .35-1.2 5.76 5.76 0 0 0 1.4-1.11.79.79 0 0 1 1.17 0 .93.93 0 0 1 0 1.26 7.51 7.51 0 0 1-1.8 1.43.75.75 0 0 1-.38.09z",
    fill: color
  }), React.createElement("path", {
    d: "M7.49 17.93a.8.8 0 0 1-.59-.26 8.09 8.09 0 0 1-1.33-1.93.93.93 0 0 1 .34-1.2.8.8 0 0 1 1.09.37 6.58 6.58 0 0 0 1 1.5.94.94 0 0 1 0 1.26.84.84 0 0 1-.51.26z",
    fill: color
  }), React.createElement("path", {
    d: "M18.49 15a.69.69 0 0 1-.25 0 .89.89 0 0 1-.54-1.11A6.78 6.78 0 0 0 18 12a.89.89 0 0 1 .82-.92.84.84 0 0 1 .83.86V12a8.66 8.66 0 0 1-.33 2.38.84.84 0 0 1-.83.62z",
    fill: color
  }), React.createElement("path", {
    d: "M18 9.54a.83.83 0 0 1-.73-.47 6 6 0 0 0-1-1.5.94.94 0 0 1 0-1.26.79.79 0 0 1 1.17 0 7.84 7.84 0 0 1 1.34 1.93.91.91 0 0 1-.34 1.2.77.77 0 0 1-.44.1z",
    fill: color
  }), React.createElement("path", {
    d: "M7.45 7.89a.8.8 0 0 1-.58-.26.94.94 0 0 1 0-1.26 8 8 0 0 1 1.8-1.44.81.81 0 0 1 1.12.37.93.93 0 0 1-.34 1.2A6.05 6.05 0 0 0 8 7.62a.78.78 0 0 1-.55.27z",
    fill: color
  }), React.createElement("path", {
    d: "M14.09 6.09a1 1 0 0 1-.24 0 5.43 5.43 0 0 0-1.69-.27.88.88 0 0 1-.85-.89.85.85 0 0 1 .81-.93 6.94 6.94 0 0 1 2.17.35.89.89 0 0 1 .55 1.1.83.83 0 0 1-.75.64z",
    fill: color
  }), React.createElement("path", {
    d: "M6 11.53a.59.59 0 0 1-.57-.53l-.31-3.59a.6.6 0 1 1 1.19-.11l.31 3.56a.62.62 0 0 1-.55.67z",
    fill: color
  }), React.createElement("path", {
    d: "M4.21 9.92a.61.61 0 0 1-.6-.56.62.62 0 0 1 .54-.68l3.31-.33a.6.6 0 0 1 .66.56.62.62 0 0 1-.54.68l-3.31.33z",
    fill: color
  }));
};

ReFind.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
ReFind.defaultProps = {
  color: '#000',
  size: '24'
};

var Refresh = function Refresh(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M12 4.73a7.28 7.28 0 0 0-6.32 3.68h.26A7 7 0 1 1 5 12h-.27A7.27 7.27 0 1 0 12 4.73z",
    fill: color
  }), React.createElement("path", {
    d: "M12 20a8 8 0 0 1-8-8 .73.73 0 0 1 .73-.73H5a.73.73 0 0 1 .73.73 6.34 6.34 0 1 0 .89-3.22.73.73 0 0 1-.63.36h-.31a.73.73 0 0 1-.63-1.09 8 8 0 1 1 7 12z",
    fill: color
  }), React.createElement("path", {
    d: "M7.6 9.55H5.05a.72.72 0 0 1-.72-.73V6.29a.73.73 0 0 1 1.45 0V8.1H7.6a.73.73 0 1 1 0 1.45z",
    fill: color
  }));
};

Refresh.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
Refresh.defaultProps = {
  color: '#000',
  size: '24'
};

var Resize = function Resize(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M4.73 10.86A.75.75 0 0 1 4 10.1V4.76A.75.75 0 0 1 4.73 4a.74.74 0 0 1 .72.76v5.34a.74.74 0 0 1-.72.76z",
    fill: color
  }), React.createElement("path", {
    d: "M9.45 5.52H4.73a.76.76 0 0 1 0-1.52h4.72a.76.76 0 0 1 0 1.52z",
    fill: color
  }), React.createElement("path", {
    d: "M10.21 11.25a.71.71 0 0 1-.52-.25l-5.1-5.32a.8.8 0 0 1 0-1.08.72.72 0 0 1 1 0l5.13 5.4a.79.79 0 0 1 0 1.07.71.71 0 0 1-.51.18z",
    fill: color
  }), React.createElement("path", {
    d: "M18.91 10.48a.75.75 0 0 1-.73-.77v-5a.73.73 0 1 1 1.46 0v5a.75.75 0 0 1-.73.77z",
    fill: color
  }), React.createElement("path", {
    d: "M18.91 5.52h-4.73a.76.76 0 0 1 0-1.52h4.73a.76.76 0 0 1 0 1.52z",
    fill: color
  }), React.createElement("path", {
    d: "M13.54 11.13a.73.73 0 0 1-.54-.23.8.8 0 0 1 0-1.08l4.89-5.11a.69.69 0 0 1 1 0 .78.78 0 0 1 0 1.08l-4.84 5.11a.71.71 0 0 1-.51.23z",
    fill: color
  }), React.createElement("path", {
    d: "M5.09 20a.75.75 0 0 1-.73-.76V13.9a.73.73 0 1 1 1.46 0v5.34a.75.75 0 0 1-.73.76z",
    fill: color
  }), React.createElement("path", {
    d: "M9.82 20H5.09a.76.76 0 0 1 0-1.52h4.73a.76.76 0 0 1 0 1.52z",
    fill: color
  }), React.createElement("path", {
    d: "M5.8 19.29a.7.7 0 0 1-.51-.22.8.8 0 0 1 0-1.08l4.84-5.07a.7.7 0 0 1 1 0 .8.8 0 0 1 0 1.08l-4.81 5.07a.7.7 0 0 1-.52.22z",
    fill: color
  }), React.createElement("path", {
    d: "M19.27 20a.74.74 0 0 1-.72-.76v-4.95a.74.74 0 0 1 .72-.77.75.75 0 0 1 .73.77v4.95a.75.75 0 0 1-.73.76z",
    fill: color
  }), React.createElement("path", {
    d: "M19.27 20h-4.72a.76.76 0 0 1 0-1.52h4.72a.76.76 0 0 1 0 1.52z",
    fill: color
  }), React.createElement("path", {
    d: "M18.81 19.48a.74.74 0 0 1-.51-.22l-5-5.26a.8.8 0 0 1 0-1.08.7.7 0 0 1 1 0l5 5.26a.8.8 0 0 1 0 1.08.74.74 0 0 1-.49.22z",
    fill: color
  }));
};

Resize.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
Resize.defaultProps = {
  color: '#000',
  size: '24'
};

var RudderControls = function RudderControls(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M12 17.88A5.88 5.88 0 1 1 17.88 12 5.89 5.89 0 0 1 12 17.88zm0-10.76A4.88 4.88 0 1 0 16.88 12 4.89 4.89 0 0 0 12 7.12z",
    fill: color
  }), React.createElement("ellipse", {
    cx: "12",
    cy: "3.79",
    rx: ".9",
    ry: "1.79",
    fill: color
  }), React.createElement("path", {
    d: "M12 10.54a.34.34 0 0 1-.34-.33V5.58a.34.34 0 0 1 .68 0v4.63a.34.34 0 0 1-.34.33z",
    fill: color
  }), React.createElement("ellipse", {
    cx: "12",
    cy: "20.21",
    rx: ".9",
    ry: "1.79",
    fill: color
  }), React.createElement("path", {
    d: "M12 18.75a.34.34 0 0 1-.34-.33v-4.63a.34.34 0 0 1 .68 0v4.63a.34.34 0 0 1-.34.33z",
    fill: color
  }), React.createElement("ellipse", {
    cx: "20.21",
    cy: "12",
    rx: "1.79",
    ry: ".9",
    fill: color
  }), React.createElement("path", {
    d: "M18.41 12.34h-4.62a.34.34 0 0 1 0-.68h4.62a.34.34 0 0 1 0 .68z",
    fill: color
  }), React.createElement("ellipse", {
    cx: "17.81",
    cy: "6.1",
    rx: "1.79",
    ry: ".9",
    transform: "rotate(-45 17.813 6.092)",
    fill: color
  }), React.createElement("path", {
    d: "M13.28 11a.31.31 0 0 1-.24-.1.34.34 0 0 1 0-.48l3.27-3.26a.32.32 0 0 1 .47 0 .33.33 0 0 1 0 .47l-3.27 3.27a.3.3 0 0 1-.23.1z",
    fill: color
  }), React.createElement("ellipse", {
    cx: "6.27",
    cy: "6.1",
    rx: ".9",
    ry: "1.79",
    transform: "rotate(-45 6.273 6.092)",
    fill: color
  }), React.createElement("path", {
    d: "M10.8 11a.34.34 0 0 1-.24-.1L7.3 7.6a.33.33 0 0 1 0-.47.32.32 0 0 1 .47 0L11 10.39a.34.34 0 0 1 0 .48.33.33 0 0 1-.2.13z",
    fill: color
  }), React.createElement("ellipse", {
    cx: "17.81",
    cy: "17.9",
    rx: ".9",
    ry: "1.79",
    transform: "rotate(-45 17.815 17.9)",
    fill: color
  }), React.createElement("path", {
    d: "M16.54 17a.3.3 0 0 1-.23-.1L13 13.61a.34.34 0 0 1 0-.48.33.33 0 0 1 .47 0l3.27 3.27a.33.33 0 0 1 0 .47.31.31 0 0 1-.2.13z",
    fill: color
  }), React.createElement("ellipse", {
    cx: "6.27",
    cy: "17.9",
    rx: "1.79",
    ry: ".9",
    transform: "rotate(-45 6.275 17.9)",
    fill: color
  }), React.createElement("path", {
    d: "M7.53 17a.3.3 0 0 1-.23-.1.33.33 0 0 1 0-.47l3.26-3.27a.34.34 0 0 1 .48.48l-3.27 3.23a.31.31 0 0 1-.24.13z",
    fill: color
  }), React.createElement("ellipse", {
    cx: "3.79",
    cy: "12",
    rx: "1.79",
    ry: ".9",
    fill: color
  }), React.createElement("path", {
    d: "M10.21 12.34H5.59a.34.34 0 0 1 0-.68h4.62a.34.34 0 0 1 0 .68z",
    fill: color
  }), React.createElement("path", {
    d: "M12 14.24A2.24 2.24 0 1 1 14.24 12 2.24 2.24 0 0 1 12 14.24zm0-3.58A1.34 1.34 0 1 0 13.34 12 1.34 1.34 0 0 0 12 10.66z",
    fill: color
  }), React.createElement("path", {
    d: "M12 10.66a.45.45 0 0 1-.45-.45v-.9a.45.45 0 1 1 .9 0v.9a.45.45 0 0 1-.45.45z",
    fill: color
  }), React.createElement("path", {
    d: "M14.69 12.45h-.9a.45.45 0 0 1 0-.9h.9a.45.45 0 1 1 0 .9z",
    fill: color
  }), React.createElement("path", {
    d: "M10.21 12.45h-.9a.45.45 0 0 1 0-.9h.9a.45.45 0 0 1 0 .9z",
    fill: color
  }), React.createElement("path", {
    d: "M10.82 11.1a.42.42 0 0 1-.31-.13l-.64-.64a.45.45 0 0 1 0-.63.47.47 0 0 1 .64 0l.63.63a.47.47 0 0 1 0 .64.44.44 0 0 1-.32.13z",
    fill: color
  }), React.createElement("path", {
    d: "M13.22 11.14a.45.45 0 0 1-.32-.14.45.45 0 0 1 0-.63l.64-.63a.45.45 0 1 1 .63.63l-.63.63a.47.47 0 0 1-.32.14z",
    fill: color
  }), React.createElement("path", {
    d: "M10.17 14.45a.44.44 0 0 1-.32-.13.47.47 0 0 1 0-.64l.64-.63a.45.45 0 0 1 .63 0 .47.47 0 0 1 0 .64l-.63.63a.45.45 0 0 1-.32.13z",
    fill: color
  }), React.createElement("path", {
    d: "M13.85 14.39a.42.42 0 0 1-.31-.13l-.64-.63a.45.45 0 0 1 0-.63.45.45 0 0 1 .64 0l.63.63a.45.45 0 0 1-.32.76z",
    fill: color
  }), React.createElement("path", {
    d: "M12 15.14a.45.45 0 0 1-.45-.45v-.9a.45.45 0 0 1 .9 0v.9a.45.45 0 0 1-.45.45z",
    fill: color
  }));
};

RudderControls.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
RudderControls.defaultProps = {
  color: '#000',
  size: '24'
};

var SailMenu = function SailMenu(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M19.27 20H4.73a.73.73 0 0 1-.73-.73.73.73 0 0 1 .73-.72h14.54a.73.73 0 0 1 .73.72.73.73 0 0 1-.73.73z",
    fill: color
  }), React.createElement("path", {
    d: "M19.27 12.71H8.36a.73.73 0 0 1 0-1.46h10.91a.73.73 0 0 1 0 1.46z",
    fill: color
  }), React.createElement("path", {
    d: "M19.27 5.45H12a.73.73 0 0 1-.73-.72A.73.73 0 0 1 12 4h7.27a.73.73 0 0 1 .73.73.73.73 0 0 1-.73.72z",
    fill: color
  }));
};

SailMenu.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
SailMenu.defaultProps = {
  color: '#000',
  size: '24'
};

var Search = function Search(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M19.6 18.59l-4-4a6.41 6.41 0 1 0-1 1l4 4a.74.74 0 0 0 1 0 .73.73 0 0 0 0-1zm-9-3a5 5 0 1 1 5-5 5 5 0 0 1-5.02 4.96z",
    fill: color
  }), React.createElement("path", {
    d: "M19.1 20a.85.85 0 0 1-.64-.27l-3.91-3.9a6.57 6.57 0 1 1 1.28-1.28l3.91 3.91A.91.91 0 0 1 19.1 20zm-4.52-4.69l4.15 4.15a.54.54 0 0 0 .73 0 .51.51 0 0 0 .15-.36.51.51 0 0 0-.15-.37l-4.15-4.15.11-.14a6.19 6.19 0 1 0-1 1zm-4 .43a5.16 5.16 0 1 1 5.16-5.16 5.16 5.16 0 0 1-5.16 5.16zm0-9.93a4.77 4.77 0 1 0 4.77 4.77 4.78 4.78 0 0 0-4.77-4.77z",
    fill: color
  }));
};

Search.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
Search.defaultProps = {
  color: '#000',
  size: '24'
};

var Settings = function Settings(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M12.44 20h-1.21a1.4 1.4 0 0 1-1.36-1l-.32-1.12a5.65 5.65 0 0 1-2-1l-1.14.25a1.45 1.45 0 0 1-1.55-.62l-.61-1a1.32 1.32 0 0 1 .21-1.68l.71-.67A5.92 5.92 0 0 1 5 12a5.42 5.42 0 0 1 .16-1.32l-.69-.62a1.33 1.33 0 0 1-.24-1.69l.51-.8A1.45 1.45 0 0 1 6.31 7l1.06.27a7.18 7.18 0 0 1 2.2-1.17l.3-1.1a1.4 1.4 0 0 1 1.36-1h1.21a1.41 1.41 0 0 1 1.37 1l.32 1.13a5.78 5.78 0 0 1 2.08 1.06l1.42-.31a1.44 1.44 0 0 1 1.55.62l.61 1a1.32 1.32 0 0 1-.21 1.68l-1 .95a6.82 6.82 0 0 1 .07.9 6.2 6.2 0 0 1-.1 1l1 .9a1.33 1.33 0 0 1 .24 1.69l-.51.8a1.45 1.45 0 0 1-1.57.61l-1.34-.34a7.11 7.11 0 0 1-2.24 1.23L13.81 19a1.41 1.41 0 0 1-1.37 1zM7.5 15.41a1.47 1.47 0 0 1 .89.3 5.37 5.37 0 0 0 1.63.84 1.43 1.43 0 0 1 .93.94l.31 1.11 1.18-.06.3-1.07a1.38 1.38 0 0 1 .92-.93 5.45 5.45 0 0 0 1.76-.95 1.47 1.47 0 0 1 1.29-.3l1.33.34.44-.68-1-.87a1.33 1.33 0 0 1-.42-1.26 4.56 4.56 0 0 0 .08-.82 4.37 4.37 0 0 0-.06-.72 1.36 1.36 0 0 1 .4-1.19l1-.93-.48-.89-1.4.35a1.51 1.51 0 0 1-1.23-.28 5.29 5.29 0 0 0-1.66-.88 1.38 1.38 0 0 1-.92-.93l-.38-1.13-1.18.06L11 6.52a1.44 1.44 0 0 1-.93.93 5.41 5.41 0 0 0-1.73.91A1.49 1.49 0 0 1 7 8.64l-1-.27-.44.68.66.6A1.32 1.32 0 0 1 6.58 11a4.68 4.68 0 0 0-.12 1 4.33 4.33 0 0 0 .1.93 1.31 1.31 0 0 1-.38 1.26l-.69.65.56.89 1.12-.28a1.24 1.24 0 0 1 .33-.04zm11-2.41zm-6.67 2.52A3.66 3.66 0 0 1 8 12a3.66 3.66 0 0 1 3.78-3.52A3.66 3.66 0 0 1 15.6 12a3.66 3.66 0 0 1-3.78 3.52zm0-5.58A2.21 2.21 0 0 0 9.49 12a2.21 2.21 0 0 0 2.33 2.06A2.21 2.21 0 0 0 14.15 12a2.21 2.21 0 0 0-2.33-2.06z",
    fill: color
  }));
};

Settings.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
Settings.defaultProps = {
  color: '#000',
  size: '24'
};

var SoundOff = function SoundOff(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M13.81 18.89a.66.66 0 0 1-.35-.11l-4.81-3.31.71-1 3.82 2.63V6.94L9.36 9.53l-.71-1 4.74-3.29a.62.62 0 0 1 1 .51l.07 12.53a.61.61 0 0 1-.33.56.73.73 0 0 1-.32.05z",
    fill: color
  }), React.createElement("path", {
    d: "M9 15.58H7.59a3.59 3.59 0 0 1 0-7.18H9a.62.62 0 0 1 .63.6v6a.62.62 0 0 1-.63.58zM7.59 9.64a2.35 2.35 0 1 0 0 4.7h.79v-4.7z",
    fill: color
  }), React.createElement("path", {
    d: "M19.57 14.21a.43.43 0 0 1-.3-.13l-3.55-3.55a.43.43 0 0 1 0-.61.42.42 0 0 1 .6 0l3.55 3.55a.43.43 0 0 1 0 .61.43.43 0 0 1-.3.13z",
    fill: color
  }), React.createElement("path", {
    d: "M16 14.21a.43.43 0 0 0 .3-.13l3.55-3.55a.43.43 0 0 0 0-.61.42.42 0 0 0-.6 0l-3.55 3.55a.43.43 0 0 0 0 .61.43.43 0 0 0 .3.13z",
    fill: color
  }));
};

SoundOff.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
SoundOff.defaultProps = {
  color: '#000',
  size: '24'
};

var SoundOn = function SoundOn(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M13.62 18.82a.6.6 0 0 1-.34-.11l-4.72-3.24.69-1L13 17.05V7.08L9.26 9.64l-.7-1 4.64-3.22a.62.62 0 0 1 .63 0 .6.6 0 0 1 .33.54l.07 12.29a.62.62 0 0 1-.32.54.59.59 0 0 1-.29.03z",
    fill: color
  }), React.createElement("path", {
    d: "M8.91 15.58H7.52a3.53 3.53 0 0 1 0-7h1.39a.62.62 0 0 1 .61.61V15a.62.62 0 0 1-.61.58zM7.52 9.75a2.31 2.31 0 0 0 0 4.61h.78V9.75z",
    fill: color
  }), React.createElement("path", {
    d: "M15.84 14.86a.55.55 0 0 1-.45-.22.57.57 0 0 1 .09-.8 2.3 2.3 0 0 0 0-3.55.57.57 0 0 1-.09-.8.56.56 0 0 1 .8-.1 3.45 3.45 0 0 1 0 5.35.59.59 0 0 1-.35.12z",
    fill: color
  }), React.createElement("path", {
    d: "M17.76 16.17a.58.58 0 0 1-.45-.22.56.56 0 0 1 .09-.8 4 4 0 0 0 0-6.15.57.57 0 0 1 .71-.89 5.14 5.14 0 0 1 0 8 .59.59 0 0 1-.35.06z",
    fill: color
  }));
};

SoundOn.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
SoundOn.defaultProps = {
  color: '#000',
  size: '24'
};

var Star = function Star(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M16.08 20a1.45 1.45 0 0 1-.67-.17L12 18l-3.41 1.83a1.41 1.41 0 0 1-1.73-.33 1.45 1.45 0 0 1-.32-1.17l.66-4-2.79-2.87A1.45 1.45 0 0 1 5.2 9L9 8.45l1.72-3.64a1.38 1.38 0 0 1 2.52 0L15 8.45l3.8.55a1.45 1.45 0 0 1 .79 2.43l-2.79 2.88.66 4a1.45 1.45 0 0 1-.32 1.17 1.39 1.39 0 0 1-1.06.52zM5.59 10.53l3.25 3.26-.75 4.58L12 16.19l3.94 2.17-.78-4.57 3.2-3.27-4.42-.67L12 5.74l-1.94 4.11z",
    fill: color
  }), React.createElement("polygon", {
    points: "9.55 9.92 9.54 8.38 9.55 8.38 9.55 9.92",
    fill: color
  }));
};

Star.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
Star.defaultProps = {
  color: '#000',
  size: '24'
};

var Voice = function Voice(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M12 14.43a2.88 2.88 0 0 1-2.88-2.88V6.88a2.88 2.88 0 0 1 5.76 0v4.67A2.88 2.88 0 0 1 12 14.43zm0-9.06a1.52 1.52 0 0 0-1.51 1.51v4.67a1.51 1.51 0 0 0 3 0V6.88A1.52 1.52 0 0 0 12 5.37z",
    fill: color
  }), React.createElement("path", {
    d: "M12 16.87A5 5 0 0 1 6.93 12a.68.68 0 0 1 .68-.69.69.69 0 0 1 .69.69 3.6 3.6 0 0 0 3.7 3.49A3.6 3.6 0 0 0 15.7 12a.69.69 0 0 1 .69-.69.68.68 0 0 1 .68.69A5 5 0 0 1 12 16.87z",
    fill: color
  }), React.createElement("path", {
    d: "M12 20a.69.69 0 0 1-.69-.69v-2.78a.69.69 0 0 1 1.38 0v2.78A.69.69 0 0 1 12 20z",
    fill: color
  }), React.createElement("path", {
    d: "M15.13 20H8.87a.69.69 0 1 1 0-1.37h6.26a.69.69 0 1 1 0 1.37z",
    fill: color
  }), React.createElement("rect", {
    x: "11.55",
    y: "7.52",
    width: "3.1",
    height: "1.04",
    rx: ".52",
    ry: ".52",
    fill: color
  }), React.createElement("rect", {
    x: "12.56",
    y: "9.01",
    width: "1.67",
    height: "1.04",
    rx: ".52",
    ry: ".52",
    fill: color
  }));
};

Voice.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
Voice.defaultProps = {
  color: '#000',
  size: '24'
};

exports.Anchor = Anchor;
exports.Bell = Bell;
exports.Boat = Boat;
exports.Bookmarks = Bookmarks;
exports.ChevronDown = ChevronDown;
exports.ChevronUp = ChevronUp;
exports.Close = Close;
exports.CompasNavigation = CompasNavigation;
exports.CourseDown = CourseDown;
exports.CourseUp = CourseUp;
exports.Done = Done;
exports.Download = Download;
exports.Faq = Faq;
exports.File = File;
exports.Flag = Flag;
exports.Folder = Folder;
exports.Heart = Heart;
exports.Help = Help;
exports.Link = Link;
exports.Location = Location;
exports.Lock = Lock;
exports.Mark = Mark;
exports.MastMenu = MastMenu;
exports.Menu = Menu;
exports.Message = Message;
exports.Minus = Minus;
exports.Options = Options;
exports.OptionsBox = OptionsBox;
exports.Plus = Plus;
exports.Profile = Profile;
exports.Profiles = Profiles;
exports.ReFind = ReFind;
exports.Refresh = Refresh;
exports.Resize = Resize;
exports.RudderControls = RudderControls;
exports.SailMenu = SailMenu;
exports.Search = Search;
exports.Settings = Settings;
exports.SoundOff = SoundOff;
exports.SoundOn = SoundOn;
exports.Star = Star;
exports.Voice = Voice;
