function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';

var CompasNavigation = function CompasNavigation(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M12 20a8 8 0 1 1 8-8 8 8 0 0 1-8 8zm0-14.77A6.77 6.77 0 1 0 18.77 12 6.78 6.78 0 0 0 12 5.23z",
    fill: color
  }), React.createElement("path", {
    d: "M9 15.88a.45.45 0 0 1-.32-.14.46.46 0 0 1-.1-.51l2-4.53a.45.45 0 0 1 .33-.27.47.47 0 0 1 .42.13l2.57 2.58a.44.44 0 0 1 .13.41.47.47 0 0 1-.27.34l-4.62 1.95a.41.41 0 0 1-.14.04zm2.11-4.19l-1.27 2.84 2.84-1.22z",
    fill: color
  }), React.createElement("path", {
    d: "M13.49 13.92a.44.44 0 0 1-.33-.13l-2.58-2.58a.47.47 0 0 1 .15-.75l4.53-2a.46.46 0 0 1 .51.09.48.48 0 0 1 .1.51l-2 4.53a.46.46 0 0 1-.34.28zM11.72 11l1.61 1.61 1.23-2.83z",
    fill: color
  }), React.createElement("path", {
    d: "M12.2 6.31a.46.46 0 0 1-.46-.46V4.62a.46.46 0 0 1 .46-.47.47.47 0 0 1 .46.47v1.23a.47.47 0 0 1-.46.46z",
    fill: color
  }), React.createElement("path", {
    d: "M12.2 19.85a.46.46 0 0 1-.46-.47v-1.23a.46.46 0 0 1 .46-.46.47.47 0 0 1 .46.46v1.23a.47.47 0 0 1-.46.47z",
    fill: color
  }), React.createElement("path", {
    d: "M5.85 12.64H4.62a.47.47 0 1 1 0-.93h1.23a.47.47 0 0 1 0 .93z",
    fill: color
  }), React.createElement("path", {
    d: "M19.38 12.64h-1.23a.47.47 0 0 1 0-.93h1.23a.47.47 0 1 1 0 .93z",
    fill: color
  }));
};

CompasNavigation.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
CompasNavigation.defaultProps = {
  color: '#000',
  size: '24'
};
export default CompasNavigation;