function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';

var Folder = function Folder(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M17.93 9a.37.37 0 0 1-.38-.37V7h-5.84a.38.38 0 1 1 0-.75h6.22a.38.38 0 0 1 .38.37v2.05a.37.37 0 0 1-.38.33z",
    fill: color
  }), React.createElement("path", {
    d: "M13.69 15.66H6.93a.38.38 0 0 1 0-.76h6.76a.38.38 0 1 1 0 .76z",
    fill: color
  }), React.createElement("path", {
    d: "M10.8 14.38H6.93a.38.38 0 0 1 0-.76h3.87a.38.38 0 0 1 0 .76z",
    fill: color
  }), React.createElement("path", {
    d: "M17.65 18.31H4.47a.47.47 0 0 1-.47-.47V6.16a.47.47 0 0 1 .47-.47h6.66a.47.47 0 0 1 .42.26l1.11 2.25h6.87a.47.47 0 0 1 .47.47V16a2.34 2.34 0 0 1-2.35 2.35zm-12.71-.94h12.71a1.37 1.37 0 0 0 1-.41 1.4 1.4 0 0 0 .42-1V9.14h-6.7a.47.47 0 0 1-.42-.26l-1.1-2.25H4.94z",
    fill: color
  }));
};

Folder.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
Folder.defaultProps = {
  color: '#000',
  size: '24'
};
export default Folder;